nmh (1.7.1-4) unstable; urgency=high

  * fix bcc: handling for mts sendmail/pipe (closes: #921244)

 -- Alexander Zangerl <az@debian.org>  Tue, 12 Feb 2019 14:58:31 +1000

nmh (1.7.1-3) unstable; urgency=high

  * applied upstream commit that restores password handling
    when using credentials:legacy (closes: #917331)
  * added depends on sensible-utils

 -- Alexander Zangerl <az@debian.org>  Thu, 27 Dec 2018 22:15:54 +1000

nmh (1.7.1-2) unstable; urgency=medium

  * adjusted build rules (closes: #900219)

 -- Alexander Zangerl <az@debian.org>  Tue, 29 May 2018 08:23:42 +1000

nmh (1.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Alexander Zangerl <az@debian.org>  Thu, 08 Mar 2018 18:28:52 +1000

nmh (1.7.1~RC3-1) unstable; urgency=medium

  * New upstream release

 -- Alexander Zangerl <az@debian.org>  Thu, 22 Feb 2018 18:52:38 +1000

nmh (1.7.1~RC2-1) unstable; urgency=medium

  * New upstream release

 -- Alexander Zangerl <az@debian.org>  Wed, 31 Jan 2018 20:12:13 +1000

nmh (1.7-2) unstable; urgency=medium

  * adjusted test suite, oauth is now enabled.

 -- Alexander Zangerl <az@debian.org>  Sat, 20 Jan 2018 11:13:15 +1000

nmh (1.7-1) unstable; urgency=low

  * New upstream release
  * lifted standards version
  * some more work towards reproducible builds

 -- Alexander Zangerl <az@debian.org>  Sun, 14 Jan 2018 11:30:02 +1000

nmh (1.7~RC3-1) unstable; urgency=low

  * New upstream release (closes: #871432)
  * lifted debhelper compat level

 -- Alexander Zangerl <az@debian.org>  Mon, 25 Sep 2017 19:36:29 +1000

nmh (1.6-16) unstable; urgency=high

  * fixed incompatibility with openssl 1.1, similar to how the
    newer upstream pre-1.7 does it (BIO_ssl_shutdown segfaults,
    but BIO_free_all is enough anyway). (closes: #848259)
  * updated build dependencies for explicit libfl-dev

 -- Alexander Zangerl <az@debian.org>  Mon, 19 Dec 2016 21:51:42 +1000

nmh (1.6-15) unstable; urgency=high

  * updated build environment for openssl 1.1 (closes: #828455)

 -- Alexander Zangerl <az@debian.org>  Sat, 29 Oct 2016 16:55:20 +1000

nmh (1.6-14) unstable; urgency=low

  * adjusted control, sole maintainer at this time (closes: #839653)

 -- Alexander Zangerl <az@debian.org>  Tue, 04 Oct 2016 19:12:39 +1000

nmh (1.6-13) unstable; urgency=medium

  * bumped standards version, adjusted bash-completion file location
  * updated reproducible build patch (closes: #835985)

 -- Alexander Zangerl <az@debian.org>  Sun, 18 Sep 2016 14:00:14 +1000

nmh (1.6-12) unstable; urgency=medium

  * applied patch for reproducible build (closes: #831430)

 -- Alexander Zangerl <az@debian.org>  Sun, 24 Jul 2016 19:55:20 +1000

nmh (1.6-11) unstable; urgency=high

  * fixed small stupid bug in postinst
    script (forgot about set -e) (closes: #821724)

 -- Alexander Zangerl <az@debian.org>  Tue, 19 Apr 2016 20:30:42 +1000

nmh (1.6-10) unstable; urgency=low

  * fixed incorrect man page in the mailx alternatives
	  setup (closes: #8270727)

 -- Alexander Zangerl <az@debian.org>  Wed, 13 Apr 2016 21:08:16 +1000

nmh (1.6-9) unstable; urgency=low

  * nmh 1.6 builds but doesn't work on hurd (as far as i can tell
	  due to broken locking on that platform),
	  therefore removed from the architecture list (closes: #815455)

 -- Alexander Zangerl <az@debian.org>  Fri, 26 Feb 2016 00:25:48 +1000

nmh (1.6-8) unstable; urgency=medium

  * added missing dependency on mime-support (closes: #803402)

 -- Alexander Zangerl <az@debian.org>  Sun, 08 Nov 2015 13:51:02 +1000

nmh (1.6-7) unstable; urgency=low

  * adjusted valgrind.supp and test/inc/test-deb359167,
    which valgrind complains about if (and only if) running 
    under fakeroot (closes: #779947) 

 -- Alexander Zangerl <az@debian.org>  Fri, 20 Mar 2015 22:12:59 +1000

nmh (1.6-6) unstable; urgency=low

  * updated mhn.defaults with a fallback for text/plain
    and message/rfc822, for better compatibility with upstream.
    also added NEWS entry describing this setup further.

 -- Alexander Zangerl <az@debian.org>  Wed, 04 Mar 2015 19:51:12 +1000

nmh (1.6-5) unstable; urgency=low

  * fixed manpage symlinks (closes: #778682)

 -- Alexander Zangerl <az@debian.org>  Sat, 21 Feb 2015 18:20:35 +1000

nmh (1.6-4) unstable; urgency=high

  * fixed silly build mistake (i built 1.6-3
    on stable, not sid) (closes: #777188)

 -- Alexander Zangerl <az@debian.org>  Fri, 06 Feb 2015 19:57:30 +1000

nmh (1.6-3) unstable; urgency=low

  * lifted standards version
  * added section about uninstalling to install-man manpage (closes: #551704)
  * adjusted some build stuff for reproducible builds

 -- Alexander Zangerl <az@debian.org>  Thu, 05 Feb 2015 23:25:38 +1000

nmh (1.6-2) unstable; urgency=low

  * updated three low-priority tests to be skipped on ARM systems
    where they fail.

 -- Alexander Zangerl <az@debian.org>  Sun, 06 Jul 2014 12:35:41 +1000

nmh (1.6-1) unstable; urgency=low

  * New upstream release
  * adjusted watch file to translate upstream version numbers 
    with - in to debian-compliant ~.

 -- Alexander Zangerl <az@debian.org>  Sun, 29 Jun 2014 14:27:15 +1000

nmh (1.6~RC3-1) unstable; urgency=low

  * New upstream release

 -- Alexander Zangerl <az@debian.org>  Wed, 11 Jun 2014 18:58:52 +1000

nmh (1.6~RC2-2) unstable; urgency=low

  * fix prototype mismatch, partial backport of upstream patch;
  * 1.6 also fixes most of the previous compiler warnings 
    (closes: #750242, #425649, #425653)
  * 1.6 has merged post and spost functionalities (closes: #112507)

 -- Alexander Zangerl <az@debian.org>  Wed, 04 Jun 2014 23:47:28 +1000

nmh (1.6~RC2-1) unstable; urgency=low

  * New upstream release

 -- Alexander Zangerl <az@debian.org>  Fri, 09 May 2014 20:25:33 +1000

nmh (1.5-release-6) unstable; urgency=low

  * applied patch for -mhlproc with spost (closes: #742047)

 -- Alexander Zangerl <az@debian.org>  Sat, 22 Mar 2014 14:26:46 +1000

nmh (1.5-release-5) unstable; urgency=low

  * lifted standards version
  * now uses dh_autoreconf to pull in newer config.{sub,guess} files
    at compile time (closes: #734534)

 -- Alexander Zangerl <az@debian.org>  Sun, 19 Jan 2014 12:01:22 +1000

nmh (1.5-release-4) unstable; urgency=low

  * nows suggests the packages neede for replyfilter which nmh ships 
    in doc/contrib (closes: #728741)
  * cleaned up doc/contrib

 -- Alexander Zangerl <az@debian.org>  Sun, 10 Nov 2013 15:08:56 +1000

nmh (1.5-release-3) unstable; urgency=low

  * changed to 3.0 quilt source format (closes: #669624)
  * reviewed some ancient bug reports 
    (closes:  #268744, #425650, #425651, #74889)

 -- Alexander Zangerl <az@debian.org>  Mon, 16 Sep 2013 12:16:29 +1000

nmh (1.5-release-2) unstable; urgency=low

  * manpages now come with suffix 'mh' as required 
    by FHS (closes: #694814)

 -- Alexander Zangerl <az@debian.org>  Sat, 01 Dec 2012 13:30:11 +1000

nmh (1.5-release-1) unstable; urgency=low

  * new co-maintainer
    after giving the original maintainer lots of opportunities to 
    respond (and not getting any responses whatsoever) i've now 
    added myself as co-maintainer.
  * fixed whatnow, which blindly assumed $SHELL is present and
    which is generally true but not under debuild (see #682362)
    (closes: #681780)
  * fixed default rcvdistcomps which didn't include resent-from header
  
 -- Alexander Zangerl <az@debian.org>  Sun, 22 Jul 2012 12:31:52 +1000

nmh (1.5-release-0.4) unstable; urgency=low

  * Non-maintainer upload.
  * 0.3 was wrongly built against squeeze (not sid), which this version fixes.

 -- Alexander Zangerl <az@debian.org>  Wed, 18 Jul 2012 16:06:32 +1000

nmh (1.5-release-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * fixed mhmail not auto-creating From: header (closes: #681778)
  * added mhmail as mailx/mail/Mail alternative (closes: #681771)

 -- Alexander Zangerl <az@debian.org>  Wed, 18 Jul 2012 15:34:20 +1000

nmh (1.5-release-0.2) unstable; urgency=high

  * Non-maintainer upload.
  * fix FTBFS on s390x (problem with base64 decoder on 64-bit, big-endian archs)
  * updated rules and includes to clear up buildd warnings

 -- Alexander Zangerl <az@debian.org>  Thu, 14 Jun 2012 11:31:55 +1000

nmh (1.5-release-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * New upstream release.
  * fixed FTBFS on hurd (MAXPATHLEN issue)
  * added support for hardening to debian/rules

 -- Alexander Zangerl <az@debian.org>  Tue, 12 Jun 2012 21:10:16 +1000

nmh (1.5-RC3-0.2) unstable; urgency=high

  * Non-maintainer upload
  * fixed FTBFS: test suite needed some changes to work on buildds 
    without /dev/tty and stdin not connected to tty
  * fixed FTBFS: was built against old libdb (closes: #676891)

 -- Alexander Zangerl <az@debian.org>  Sun, 10 Jun 2012 22:19:46 +1000

nmh (1.5-RC3-0.1) unstable; urgency=low

  * Non-maintainer upload, maintainer seems MIA. 
    I plan to either co-maintain or take over, this is 
    a band-aid so that wheezy can ship with a useful version.
  * Lifted standards version, updated dependencies, added watch file
    (closes: #645022)
  * Provide new mhn.defaults that uses run-mailcap (closes: #646842)
  * New upstream release (closes: #186412, #588160, #344182, #655047,
    #535742, #184606, #135972,  #188750) 
  * updated documentation, updated config options to reflect new and removed 
    capabilities (+tls, -masquerade)
  * cleaned up rules, incorporated upstream test suite
  * old mh-e compatibility links in /usr/lib/mh removed

 -- Alexander Zangerl <az@debian.org>  Sun, 10 Jun 2012 15:36:48 +1000

nmh (1.3-1) unstable; urgency=low

  * New upstream versions (Closes: #484039)
  * Updating patch set:
    + Merge 01-manpages-sections-fix-194349 03-manpages-sections-fix-261089 
    into 01-manpage-sections-omnibus
    + Remove 04-fix-64bit-issues-399271 (applied upstream)
    + Remove 05-segfault-399271 (upstraem fixed issue)
  * Upstream reports that segfaults caused by peculiar mailboxes in inc
    has been fixed. (Closes: #359167)
  * Specify explicit sendmail path (FHS path: /usr/sbin/sendmail) on 
    build (Closes: #459075)

 -- Nick Rusnov <nickrusnov@debian.org>  Tue, 26 May 2009 10:57:07 -0700

nmh (1.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build with unversioned libdb-dev. (Closes: #517283).

 -- Barry deFreese <bdefreese@debian.org>  Thu, 16 Apr 2009 21:44:33 -0400

nmh (1.2-3) unstable; urgency=low

  * Apply patches from #399271 by Dean Gaudet.
    + 04-fix-64bit-issues-399271 fixes warnings
      on architectures where sizeof(int) != 
      sizeof(void *) such as AMD64.
    + 05-segfault-399271 fixes segfaults
      caused by gcc optimizing away NULL tests
      (Closes: #399271, #420653, #425638) Thanks
      to Matt Taggart and Sanjoy Mahajan for
      testing Dean's fix.
  
 -- Nick Rusnov <nickrusnov@debian.org>  Thu, 31 May 2007 10:55:37 -0700

nmh (1.2-1) unstable; urgency=low
  
  * New upstream release. (Closes: #344367).
  * Remove upstream applied patches and fixes:
	  02-sasl-fix.dpatch
          04-stdouterr-fflush-261592.dpatch
          05-crossdir-hardlink-238456.dpatch
          06-vfork-143485.dpatch
          07-annotation-277199.dpatch
          08-flexfix-320090.dpatch
          09-kpoperror-320069.dpatch
          10-db4-289506.dpatch
   * Performance bug in post (upstream #7917) fixed. (Closes: #226825)
   * mhshow, etc. crash bug fixed upstream. (Closes: #245932)
   * The vfork debocle is resolved. (Closes: #143485)
   * The manual page for mh_profile properly describes lowercase
     environment variables as internal. (Closes: #146449)
   * Patch from BTS to fix crash when message filename overflows int
     whon converted applied upstream. (Closes: #202667)
   * ^^ (Closes: #202669)
   * Upstream fixed the configure to not break if sendmail isn't
     available in path, which caused it to be set perminantly to none. 
     (Closes: #390709) 
   * Nudge libdb depend to 4.5.
   * Build with CFLAGS set to -g. (Closes: #335614)
   * Make a bit of adjustment to the rules to come into compliance
     with newer debhelper. Also bump debhelper compat to 4
     (Closes: #393322)
   * Install upstream ChangeLog.
   * Update docs list. Remove ancient changelogs from being installed,
     install new READMEs.
   * Delete conffile list. Let dh_conffiles figure things out.
   * Updated copyright file.
  
 -- Nick Rusnov <nickrusnov@debian.org>  Wed,  1 Nov 2006 22:20:57 -0800 
	
nmh (1.1-release-4) unstable; urgency=low

  * patches/07-annotation-277199.dpatch: Slight modification
    to fix annotation as per upstream. Submitted by Norman Ramsey.
    (Closes: 277199).
  * patches/08-flexfix-320090.dpatch: Slight change to makefile
    in sbr to properly generate dtimep.c with flex. (Closes: #320090)
  * patches/09-kpoperror-320069.dpatch: Fixes error message when
    kpop is not compiled in (as it isn't). (Closes: #320069)
  * Changed rules file to manually delete sbr/dtimep.c in clean target.
  * Nudge libdb depends to 4.2
  * patches/10-db4-289506.dpatch: Hardcode in includes for db4 (as db.h)
    and modify the Makefile.in to link this library directly (so as to
    not have to worry about breaking configure and whatnot which seems 
    all copacetic aside from this). (Closes: #289506)

 -- Nick Rusnov <nickrusnov@debian.org>  Wed, 24 Aug 2005 15:24:07 -0700

nmh (1.1-release-3) unstable; urgency=low

  * patches/04-stdouterr-fflush-261592.dpatch: Check error value
    of stdout writes to catch piping errors and what not. (Closes: #261592)
    + fflush before checking error in replsbr.c.
    + Thanks to Harald Geyer for this patch.
  * patches/05-crossdir-hardlink-238456.dpatch: Remove the creation
    of the only cross-dir hardlink in nmh, which was surely the cause of
    upgrade problmes if /usr/ and /usr/lib are on different partitions.
    I'm not bothering to replace the link. You can find this file in
    /usr/bin/mh. (Closes: 238456)
  * patches/06-vfork-143485.dpatch: Alias vfork to fork on Linux systems
    as it has been suggested that the incorrect error message in #143485
    is caused by the misuse of vfork.
    + Thanks to Harald Geyer again for this one.
     
 -- Nick Rusnov <nickrusnov@debian.org>  Thu,  5 Aug 2004 10:10:33 -0700

nmh (1.1-release-2) unstable; urgency=low

  * This is a trivial fix to the manpage sections problem to keep it
    from mocking me further. Die die die. But one wonders how long
    has this problem been lurking, and why nobody noticed it before?
    (Closes: #261089)

 -- Nick Rusnov <nickrusnov@debian.org>  Fri, 23 Jul 2004 10:13:29 -0700

nmh (1.1-release-1) unstable; urgency=low

  * New upstream release (1.1). (Closes: #223310)
    + Upstream merged most debian package patches.
    + See upstream changelog for other fixes and changes.
  * Using dpatch to manage debian patches now.
  * Reverted krb4 support. Will re-enable when both krb and apop
    versions can be build at the same time. (Closes: #204597)
  * Now Depend on sasl2-dev.
  * patches/02-sasl-fix.dpatch: build with proper sasl2 includes.
  * patches/01-manpages-sections-fix-194349.dpatch : ensure that
    the proper manpages go into section 7.

 -- Nick Rusnov <nickrusnov@debian.org>  Mon,  1 Mar 2004 14:43:28 -0800

nmh (1.1-RC1-3) unstable; urgency=low

  * Enabled krb4 support. Some hacking in configure.in. (Closes: #135976)
  * Removed full stop from shortdesc.
  * Updated standards to version 3.5.10.
  * Added bash_completions script by Wade Richards. (Closes: #197873)
  * Fixed duplicate conffile.
 
 -- Nick Rusnov <nickrusnov@debian.org>  Fri, 20 Jun 2003 09:31:54 -0700
  
nmh (1.1-RC1-2) unstable; urgency=low
  
  * Re-updated config.guess from latest autotools. Should close
    #194537 but I will close on a good hppa build.
  * Applied patch from old package nmh to move nmh and mh-format 
    manpages to section 7 in the manual. This incidently fixes the 
    dangling symlink to mh.7 (Closes: #194349)

 -- Nick Rusnov <nickrusnov@debian.org>  Tue, 27 May 2003 09:23:37 -0700

nmh (1.1-RC1-1) unstable; urgency=low

  * Taking over from the old maintainer. (Closes: #192654)
  * New Upstream version. (Closes: #168099)
  * Made a solid fix for all the libdb stuff (compile with correct
    libraries and headers). (Closes: #155968, #155852, #156020, #156150, #165297)
  * Applied patch to allow Content-Transfer-Encoding: binary. (Closes: #136976)
  * Applied fix for mh-format.man. (Closes: #143427)
  * Applied patch to make slocal work as documented. (Closes: #149745)
  * Adjusted the constants in mts/smtp/smtp.c to comply with the SHOULDs
    in RFC 1123. (Closes: 152728)
  * Changed default MTS method to sendmail from smtp in debian/rules (Closes: #152729)
  * Changed scan.default to use five digits for message numbers. (Closes: #182503)
  * Applied patch to enable draft_from masquerading in spost. (Closes: #144098)
  * Applied typo fix to nmh.man. (Closes: #181867)
  * Added some useful suggests:. (Closes: #171307)

 -- Nick Rusnov <nickrusnov@debian.org>  Tue, 20 May 2003 15:12:59 -0700

nmh (1.0.4+dev-20010317-1.1) unstable; urgency=low

  * Non Maintainer Upload
  * Compiled with libdb2 
    (Closes: #155968, #155852, #156020, #156150, #165297)

 -- Julien LEMOINE <speedblue@debian.org>  Sun, 16 Mar 2003 16:53:27 +0100

nmh (1.0.4+dev-20010317-1) unstable; urgency=low

  * Update to the latest CVS snapshot which I have marked 20010317, because
    the most recent commits were made on the March 17, 2001.
  * Bring up to par with Debian Policy 3.5.6.
  * Fix sbr/mts.c so that it discards trailing whitespace from values when
    reading mts.conf.  (closes: Bug#112505)
  * Applied patch submitted by Colin Watson <cjw44@flatline.org.uk> that
    fixed a bug in the forw(1) and mhstore(1) man pages which caused groff
    to eat a line.  (closes: Bug#90286)
  * The original patch to man/Makefile.in which moved the mh-chart and nmh
    man pages from section one to seven was inadequate, but it has now been
    fixed.
  * Provide a symbolic link for the nmh(7) man page so that it is
    accessible as mh(7) too.  (closes: Bug#100482)
  * Fix the S1G bug in sbr/fmt_scan.c.
  * Make /etc/nmh/rcvdistcomps.outbox a conffile.
  * Install mh_profile(5) as a symbolic link to mh-profile(5), not a hard
    link.
  * New package maintainer.  My thanks to the previous maintainer, Ruud de
    Rooij, for all his work.

 -- Doug Porter <dsp@debian.org>  Sat, 10 Nov 2001 13:03:30 -0500

nmh (1.0.4+dev-20010115-1) unstable; urgency=low

  * New upstream CVS snapshot.
  * Moved nmh and mh-chart man pages to section 7 (closes: #82370).
  * Changed configure.in so that it detects libdb1.

 -- Ruud de Rooij <ruud@debian.org>  Mon, 15 Jan 2001 14:14:04 -0600

nmh (1.0.4+dev-20000926-1) unstable; urgency=low

  * New upstream CVS snapshot.
  * Enabled SASL support.

 -- Ruud de Rooij <ruud@debian.org>  Tue, 26 Sep 2000 21:43:22 +0200

nmh (1.0.4+dev-20000807-1) unstable; urgency=low

  * New upstream CVS snapshot (fixes: #66460, #67797).

 -- Ruud de Rooij <ruud@debian.org>  Mon,  7 Aug 2000 19:44:06 +0200

nmh (1.0.4+dev-20000612-1) unstable; urgency=low

  * New upstream CVS snapshot (closes: #61877).

 -- Ruud de Rooij <ruud@debian.org>  Mon, 12 Jun 2000 20:35:18 +0200

nmh (1.0.4+dev-20000607-1) unstable; urgency=low

  * New upstream CVS snapshot.
  * Added versioned dependency on netbase for "pop3" service entry.
  * Added versioned dependency on base-files for /var/mail location.

 -- Ruud de Rooij <ruud@debian.org>  Wed,  7 Jun 2000 18:50:40 +0200

nmh (1.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Ruud de Rooij <ruud@debian.org>  Fri, 21 Apr 2000 15:39:20 +0200

nmh (1.0.2-7) frozen unstable; urgency=high

  * Added `flex' to Build-Depends (closes: #59741).

 -- Ruud de Rooij <ruud@debian.org>  Thu, 23 Mar 2000 18:53:17 +0100

nmh (1.0.2-6) frozen unstable; urgency=high

  * Applied patch to fix security hole which allowed untrusted shell
    code to be executed.

 -- Ruud de Rooij <ruud@debian.org>  Thu, 27 Jan 2000 20:56:15 +0100

nmh (1.0.2-5) unstable; urgency=low

  * Updated Build-Depends (see: #54446).

 -- Ruud de Rooij <ruud@debian.org>  Tue, 11 Jan 2000 14:14:02 -0600

nmh (1.0.2-4) unstable; urgency=low

  * Standards-Version: 3.1.1.
  * Recompiled for ncurses 5.

 -- Ruud de Rooij <ruud@debian.org>  Mon,  3 Jan 2000 16:57:50 -0600

nmh (1.0.2-3) unstable; urgency=low

  * Fixed interaction between specifying -cc in profile and -group on 
    command-line (closes: #52545).

 -- Ruud de Rooij <ruud@debian.org>  Mon, 20 Dec 1999 10:39:27 -0600

nmh (1.0.2-2) unstable; urgency=low

  * Added documentation for -build and -file switches to repl and forw 
    manpages (patch from Peter Maydell) (closes: #42430).

 -- Ruud de Rooij <ruud@debian.org>  Thu,  2 Dec 1999 20:31:38 +0100

nmh (1.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Ruud de Rooij <ruud@debian.org>  Fri, 29 Oct 1999 16:58:06 +0200

nmh (1.0.1-19991027-1) unstable; urgency=low

  * New upstream snapshot release.

 -- Ruud de Rooij <ruud@debian.org>  Wed, 27 Oct 1999 09:19:35 +0200

nmh (1.0.1-19990926-1) unstable; urgency=low

  * New upstream CVS snapshot.
  * Minor cleanup of debian/rules.

 -- Ruud de Rooij <ruud@debian.org>  Sun, 26 Sep 1999 13:37:18 +0200

nmh (1.0.1-3) unstable; urgency=low

  * Standards-Version: 3.0.1.
  * Use value in /etc/mailname as originating domain (closes: #43829).
  * Minor wording change in copyright file.
  * Added section about spost to README.Debian.
  * Added References: header to replcomps and replgroupcomps.

 -- Ruud de Rooij <ruud@debian.org>  Wed,  8 Sep 1999 19:42:29 +0200

nmh (1.0.1-2) unstable; urgency=low

  * Fixed show to propagate -file flag properly to mhshow.
  * Fixed invocations of mkstemp.
  * Override autoconf detection of /var/mail and use /var/spool/mail for
    now.

 -- Ruud de Rooij <ruud@debian.org>  Wed, 11 Aug 1999 20:51:40 +0200

nmh (1.0.1-1) unstable; urgency=low

  * New upstream release. 
  * Updated location of upstream archive.
  * Recompiled for liblockfile 1.0.
  * inc is no longer installed setgid mail.
  * Cleaned up debian/rules a bit.

 -- Ruud de Rooij <ruud@debian.org>  Sun, 27 Jun 1999 19:48:19 +0200

nmh (1.0-7) unstable; urgency=low

  * Install mhtest in /usr/lib/mh instead of /usr/bin/mh.
  * Cleaned up debian/rules a bit.
  * Better fix for spost not finding alias file.

 -- Ruud de Rooij <ruud@debian.org>  Sun,  4 Apr 1999 10:27:05 +0200

nmh (1.0-6) unstable; urgency=low

  * Really fix repl breaking header lines in middle of addresses (previous
    fix introduced a blank header line in some cases).

 -- Ruud de Rooij <ruud@debian.org>  Fri,  2 Apr 1999 16:21:34 +0200

nmh (1.0-5) unstable; urgency=low

  * Enabled APOP support.
  * Changed repl to not break header lines in the middle of addresses
    (closes: #10376).
  * Install sendfiles in /usr/bin/mh instead of /usr/lib/mh.
  * Modified sendfiles and mhstore to use gzip instead of compress.

 -- Ruud de Rooij <ruud@debian.org>  Tue, 30 Mar 1999 20:39:21 +0200

nmh (1.0-4) unstable; urgency=low

  * Fixed double fclose() problem in inc (closes: #34346).
  * Applied patches from Kimmo Suominen:
    - updated patch for m_getfld.c.
    - fix packf not putting newline after From_ header.
    - allow `q' to quit mhshow, and `n' to skip to next part.
    - allow 8bit encoding for message/* content type.
  * Recompiled for glibc 2.1.
  * Modified rcvtty and slocal to use utmp access functions instead of
    reading utmp file directly.
  * Modified lock_file.c to use liblockfile for locking the mail spool.

 -- Ruud de Rooij <ruud@debian.org>  Sun, 28 Mar 1999 14:11:41 +0200

nmh (1.0-3) unstable; urgency=low

  * Applied fix to m_getfld.c from John Gill.  Should fix inc segmentation
    fault problem.

 -- Ruud de Rooij <ruud@debian.org>  Sat, 27 Mar 1999 19:19:41 +0100

nmh (1.0-2) unstable; urgency=low

  * Fixed show to propage -file flag to mhshow.
  * Workaround for spost not finding aliases file (closes: #34190).

 -- Ruud de Rooij <ruud@debian.org>  Sun,  7 Mar 1999 10:45:26 +0100

nmh (1.0-1) unstable; urgency=low

  * New upstream release.

 -- Ruud de Rooij <ruud@debian.org>  Sun,  7 Feb 1999 12:24:51 +0100

nmh (0.27-0.28-pre12-1) unstable; urgency=low

  * New upstream release.

 -- Ruud de Rooij <ruud@debian.org>  Tue,  2 Feb 1999 22:03:29 +0100

nmh (0.27-0.28-pre10-1) unstable; urgency=low

  * New upstream release.

 -- Ruud de Rooij <ruud@debian.org>  Sat, 23 Jan 1999 10:24:04 +0100

nmh (0.27-0.28-pre8-3) frozen unstable; urgency=low

  * Forgot to specify `frozen' in last upload.

 -- Ruud de Rooij <ruud@debian.org>  Sun,  6 Dec 1998 21:01:45 +0100

nmh (0.27-0.28-pre8-2) unstable; urgency=low

  * Recompiled to avoid dependency on libc6 >= 2.0.7u.

 -- Ruud de Rooij <ruud@debian.org>  Sun,  6 Dec 1998 17:00:29 +0100

nmh (0.27-0.28-pre8-1.1) frozen unstable; urgency=low

  * non maintainer, sparc only upload
  * use db1/ndbm.h with glibc2.1 instead of ndbm.h

 -- Christian Meder <meder@isr.uni-stuttgart.de>  Wed, 25 Nov 1998 13:54:08 +0100

nmh (0.27-0.28-pre8-1) unstable; urgency=low

  * New upstream release.

 -- Ruud de Rooij <ruud@debian.org>  Thu, 15 Oct 1998 07:47:44 +0200

nmh (0.27-0.28-pre7-1) unstable; urgency=low

  * New upstream release.
  * Updated exmh section in README.Debian.
  * Recompiled for ncurses 4.2.
  * Fixed /etc/nmh/mhn.defaults.

 -- Ruud de Rooij <ruud@debian.org>  Thu,  1 Oct 1998 21:12:20 +0200

nmh (0.27-0.28-pre5-1) unstable; urgency=low

  * New upstream release.

 -- Ruud de Rooij <ruud@debian.org>  Fri,  4 Sep 1998 18:42:41 +0200

nmh (0.27-0.28-pre4-1) unstable; urgency=low

  * New upstream release.

 -- Ruud de Rooij <ruud@debian.org>  Tue, 25 Aug 1998 21:14:12 +0200

nmh (0.27-0.28-pre3-1) unstable; urgency=low

  * New upstream release.

 -- Ruud de Rooij <ruud@debian.org>  Thu, 20 Aug 1998 09:11:17 +0200

nmh (0.27-0.28-pre2-1) unstable; urgency=low

  * New upstream release, including security fixes.
  * Security patch no longer included.
  * Applied patches by Peter Maydell <pmaydell@chiark.greenend.org.uk>:
    - prevent segmentation fault when ~/.mh_profile doesn't end in a
      newline.
    - handle out-of-diskspace situations more gracefully.
  * Applied patches from OpenBSD (thanks to Topi Miettinen
    <tom@medialab.sonera.net> for providing them).
  * Updated README.Debian (closes: #21600, #24687).
  * tmac.h no longer tagged as a conffile.
  * Added symbolic links in /usr/lib/mh to avoid confusing mh-e
    (closes: #24723).
  * Minor modifications to enable building on Sparc.
  * Changed priority to optional to match Debian archive.
  * Changed maintainer e-mail address.

 -- Ruud de Rooij <ruud@debian.org>  Wed,  5 Aug 1998 20:24:35 +0200

nmh (0.26-2) unstable; urgency=high

  * Applied Alan Cox's security patches.

 -- Ruud de Rooij <r.c.m.derooij@twi.tudelft.nl>  Wed,  3 Jun 1998 21:16:24 +0200

nmh (0.26-1) unstable; urgency=low

  * New upstream release.

 -- Ruud de Rooij <r.c.m.derooij@twi.tudelft.nl>  Tue, 26 May 1998 21:49:02 +0200

nmh (0.25-1) unstable; urgency=low

  * New upstream release.

 -- Ruud de Rooij <r.c.m.derooij@twi.tudelft.nl>  Sat,  9 May 1998 10:57:17 +0200

nmh (0.24-5) frozen unstable; urgency=low

  * Changed metamail dependency from Suggests to Recommends (closes:
    #21715).
  * Updated package description to match MH's description.
  * Added Replaces: mh.
  * Lintian-clean.

 -- Ruud de Rooij <r.c.m.derooij@twi.tudelft.nl>  Tue, 21 Apr 1998 15:26:33 +0200

nmh (0.24-4) frozen unstable; urgency=low

  * Updated /etc/nmh/mhn.defaults to use metamail (closes: #21189).
  * Updated README.Debian.

 -- Ruud de Rooij <r.c.m.derooij@twi.tudelft.nl>  Fri, 17 Apr 1998 19:34:31 +0200

nmh (0.24-3) unstable; urgency=low

  * New maintainer.
  * Changed to debhelper.
  * Made /usr/bin/sensible-{pager,editor} the default.

 -- Ruud de Rooij <r.c.m.derooij@twi.tudelft.nl>  Fri, 10 Apr 1998 15:37:23 +0100

nmh (0.24-2) frozen unstable; urgency=low

  * _really_ enable pop (stupid typo broke last attempt)

 -- Philip Hands <phil@hands.com>  Tue, 31 Mar 1998 18:40:50 +0100

nmh (0.24-1) unstable; urgency=low

  * New upstream release
  * Made /usr/bin/mh/inc set-group-id mail (closes: #18660)
  * Enabled POP (closes: #18491)
  * Fixed file names starting with // in man pages
  * Uses nmh's own ruserpass so ~/.netrc is read even if running setgid
    (thanks to Ruud de Rooij <r.c.m.derooij@twi.tudelft.nl> for these
    patches)

 -- Philip Hands <phil@hands.com>  Mon, 30 Mar 1998 11:33:09 +0100

nmh (0.22-1) unstable; urgency=low

  * New upstream release (closes: #17214)
  
 -- Philip Hands <phil@hands.com>  Tue, 17 Feb 1998 11:03:53 +0000

nmh (0.17-1) unstable; urgency=low

  * New upstream release
  * compile with libc6

 -- Philip Hands <phil@hands.com>  Tue, 19 Aug 1997 11:38:07 +0100

nmh (0.16-1) unstable; urgency=low

  * New upstream release
  * patched to make use of PAGER & EDITOR envariables

 -- Philip Hands <phil@hands.com>  Sun, 20 Jul 1997 21:26:02 +0100

nmh (0.14-1) experimental; urgency=low

  * Initial Release.

 -- Philip Hands <phil@hands.com>  Wed, 21 May 1997 17:54:23 +0100


$Debian: nmh/debian/changelog,v 1.12 2001/11/10 18:39:17 dsp Exp $
